Bug 2008819 - grub 2.06 grub-core kern disk_common.c:47 attempt to read or write outside of disk
Summary: grub 2.06 grub-core kern disk_common.c:47 attempt to read or write outside of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 34
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Javier Martinez Canillas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-29 09:17 UTC by Jan Cipa
Modified: 2021-10-04 01:04 UTC (History)
5 users (show)

Fixed In Version: grub2-2.06-7.fc36 grub2-2.06-6.fc35 grub2-2.06-6.fc34b
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 18:23:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Cipa 2021-09-29 09:17:48 UTC
Description of problem:
After upgrading from fedora 33 (grub 2.04-31.fc33) to fedora 34 (grub 2.06-2.fc34) there is a problem with booting.
even before grub menu appears 2 pages with errors are shown

    > grub-core kern disk_common.c:47 attempt to read or write outside of disk 'vgDATA/data'


it stops booting and waits with "--- more ---" for confirmation.
When SPACE is pressed it prints second page of (same) errors and then it displays boot menu and then boots normally.

It is annoying for unattended reboots.

after downgrading to grub 2.04 there is no problem. 

after submitting a bug in grub2 upstream, it was identified as problem with XFS handling in grub2 2.06 and later. Fix is already at upstream github https://github.com/rhboot/grub2/commit/a4b495520e4dc41a896a8b916a64eda9970c50ea

please merge this patch to fedora's grub2 rpms.

Version-Release number of selected component (if applicable): grub 2.06-2.fc34


How reproducible: 


Steps to Reproduce:
1. try to boot with any XFS filesystem with v4 superblock
2.
3.

Actual results: 2 pages of error descibed above and boot waiting for pressing space key 


Expected results: boot without interuption


Additional info:

Comment 1 Fedora Update System 2021-09-29 18:19:24 UTC
FEDORA-2021-8bc5ac9a10 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8bc5ac9a10

Comment 2 Fedora Update System 2021-09-29 18:23:02 UTC
FEDORA-2021-8bc5ac9a10 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-09-29 19:01:08 UTC
FEDORA-2021-5303d10f7b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5303d10f7b

Comment 4 Fedora Update System 2021-09-29 19:01:09 UTC
FEDORA-2021-562bd98de1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-562bd98de1

Comment 5 Fedora Update System 2021-09-30 01:43:45 UTC
FEDORA-2021-562bd98de1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-562bd98de1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-562bd98de1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-09-30 02:12:03 UTC
FEDORA-2021-5303d10f7b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5303d10f7b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5303d10f7b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Jan Cipa 2021-09-30 18:25:59 UTC
I can confirm that issue has been fixed in 2.06-6.fc34b
thank you for fast rebuild.

Comment 8 Fedora Update System 2021-10-01 00:15:05 UTC
FEDORA-2021-562bd98de1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-10-04 01:04:09 UTC
FEDORA-2021-5303d10f7b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.